Bug 1868061 - [sig-apps][Feature:DeploymentConfig] deploymentconfigs with multiple image change triggers should run a successful deployment with multiple triggers
Summary: [sig-apps][Feature:DeploymentConfig] deploymentconfigs with multiple image ch...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Maciej Szulik
QA Contact: RamaKasturi
URL:
Whiteboard: workloads
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-11 14:38 UTC by Matt Rogers
Modified: 2020-09-21 10:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
[sig-apps][Feature:DeploymentConfig] deploymentconfigs with multiple image change triggers should run a successful deployment with multiple triggers
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25408 None closed Bug 1868061: switch watchtools.UntilWithoutRetry to watchtools.UntilWithSync in deployment tests 2020-09-21 05:29:47 UTC

Description Matt Rogers 2020-08-11 14:38:38 UTC
test:
[sig-apps][Feature:DeploymentConfig] deploymentconfigs with multiple image change triggers should run a successful deployment with multiple triggers 

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-apps%5C%5D%5C%5BFeature%3ADeploymentConfig%5C%5D+deploymentconfigs+with+multiple+image+change+triggers+should+run+a+successful+deployment+with+multiple+triggers

https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-aws-ovn-4.6/1291406877116076032

Lots of reason/FailedCreatePodSandBox Failed to create pod sandbox: rpc error: code = Unknown desc = failed to create pod network sandbox

Comment 1 Maciej Szulik 2020-09-10 18:48:43 UTC
This is waiting in the queue for review and merge.

Comment 4 Maciej Szulik 2020-09-16 10:28:23 UTC
From what I've checked the search results none of the failures is coming from this particular fix, but is rather coming from overall infra flakiness. See that each run has many, many more failures.
Additionally, I've also merged https://github.com/openshift/origin/pull/25505 yesterday which should also improve the situation for deployments overall.
Moving back to qa.

Comment 6 RamaKasturi 2020-09-18 05:56:41 UTC
will wait till monday and check the issue before moving the bug to verified state.

Comment 7 RamaKasturi 2020-09-21 07:00:53 UTC
Hi Maciej,

   I tried to verify the bug below and i do not see any errors as said in the description but i see that test is failing due to the error below, is this expected for the last two days and few other errors are related to connection errors. Basically still do not see a full pass ratio for this bug. could also you as well please help check and confirm ? Thanks !!

fail [github.com/openshift/origin/test/extended/deployments/util.go:751]: watch closed unexpectedly
Expected
    <bool>: false
to be equivalent to
    <bool>: true

Comment 8 Maciej Szulik 2020-09-21 10:18:30 UTC
From my quick check the failures you're talking about are coming from 4.5, and I see only a handful of them so for now we're not considering backporting this. 
4.6 is fixed, so this particular BZ can easily move to verified.

Comment 9 RamaKasturi 2020-09-21 10:27:06 UTC
Thanks, got it !!

Based on comment 8 , moving the bug to verified state.


Note You need to log in before you can comment on or make changes to this bug.